Skip to content

Alpha
Get Asynchronous Operation state

Request

In Development

This operation is actively being developed. Breaking changes should be expected.

Please contact us before using this operation.

Returns the Asynchronous Operation object matching {operationId}.

Operation ID: operations_get

Security
BearerAuth
Path
operationIdstring(Id)required
curl
curl -i -X GET \
  'https://api.synqly.com/v1/operations/{operationId}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Bodyapplication/json
resultobject(Operation)required
Response
{ "result": { "id": "string", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "account_id": "string", "integration_id": "string", "operation": "string", "input": { … }, "status": "SCHEDULED", "errors": [ … ], "cpu_time": 0, "in_bytes": 0, "output_integration_id": "string" } }